Autor Thema: Kein Update möglich - ungültige PGP Schlüssel  (Gelesen 1840 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline kochstudio

  • Neuling
  • *
  • Beiträge: 36
  • Desktop: Xfce netbook
  • Grafikkartentreiber: free
  • Kernel: 4.4.25-1-netbook
  • Prozessor: Atom N270
  • Skill: Anfänger
Kein Update möglich - ungültige PGP Schlüssel
« am: 26. Juli 2015, 13:08:32 »
[heinz@ideapad ~]$ sudo pacman -Syu
[sudo] password for heinz:
Fehler: GPGME error: Keine Daten
Fehler: GPGME error: Keine Daten
Fehler: GPGME error: Keine Daten
Fehler: GPGME error: Keine Daten
:: Synchronisiere Paketdatenbanken...
 core ist aktuell
 extra ist aktuell                                 0,0   B  0,00B/s 00:00 [-----------------------------------------]   0%
 community ist aktuell                             0,0   B  0,00B/s 00:00 [-----------------------------------------]   0%
 netbook ist aktuell
Fehler: Datenbank 'core' ist nicht gültig (Ungültige oder beschädigte Datenbank (PGP-Signatur))
Fehler: Datenbank 'extra' ist nicht gültig (Ungültige oder beschädigte Datenbank (PGP-Signatur))
Fehler: Datenbank 'community' ist nicht gültig (Ungültige oder beschädigte Datenbank (PGP-Signatur))
Fehler: Datenbank 'netbook' ist nicht gültig (Ungültige oder beschädigte Datenbank (PGP-Signatur))
« Letzte Änderung: 26. Juli 2015, 13:10:31 von Linu74 »

Offline Linu74

  • Administrator
  • ******
  • Beiträge: 1941
  • Dankeschön: 135 mal
  • Desktop: XFCE/i3gaps x86_64
  • Grafikkarte: Intel/Nvidia
  • Grafikkartentreiber: free/nonfree
  • Kernel: 4.1, 4.4
  • Prozessor: Core2Duo + Intel® Core™ i5-2520M
  • Skill: Durchschnitt
  • Zweig: testing
Re: Kein Update möglich - ungültige PGP Schlüssel
« Antwort #1 am: 26. Juli 2015, 13:11:05 »
Versuch mal

sudo pacman -Syyu
Linu74
Manjaro XFCE/i3gaps x86_64bit auf ThinkPad X200, T400, T520
Deutscher Manjaro IRC Channel auf Freenode #manjaro-de

Offline klesk

  • Held Mitglied
  • *****
  • Beiträge: 1194
  • Dankeschön: 142 mal
  • Desktop: herbstluftwm
  • Grafikkartentreiber: nvidia 3.40xx
  • Kernel: 4.2
  • Prozessor: Intel Core2 Quad Q9550 (-MCP-)
  • Skill: Durchschnitt
  • Zweig: unstable
Re: Kein Update möglich - ungültige PGP Schlüssel
« Antwort #2 am: 26. Juli 2015, 13:59:03 »
Falls das nicht klappt, nimm mal bitte zu Testzwecken nur die deutschen Server.

sudo pacman-mirrors -g -c Germany && sudo pacman -Syy
Falls das auch nicht weiterhilft, den langen Weg, den du vermutlich schon paar mal durchgeführt hast bis auf das löschen der DB.

sudo pacman-mirrors -g -c Germany
sudo rm /var/lib/pacman/sync/*
sudo pacman-key --init
sudo pacman-key --refresh-keys
sudo pacman-key --populate archlinux manjaro
sudo pacman -Syy
« Letzte Änderung: 26. Juli 2015, 19:38:28 von klesk »

Offline kochstudio

  • Neuling
  • *
  • Beiträge: 36
  • Desktop: Xfce netbook
  • Grafikkartentreiber: free
  • Kernel: 4.4.25-1-netbook
  • Prozessor: Atom N270
  • Skill: Anfänger
Re: Kein Update möglich - ungültige PGP Schlüssel
« Antwort #3 am: 26. Juli 2015, 14:39:27 »
Danke erst einmal für die schnelle Antwort!

Leider kommt folgende Fehlermeldung:

[heinz@ideapad ~]$ sudo pacman-mirrorslist -g -c Germany
sudo: pacman-mirrorslist: command not found

Offline kochstudio

  • Neuling
  • *
  • Beiträge: 36
  • Desktop: Xfce netbook
  • Grafikkartentreiber: free
  • Kernel: 4.4.25-1-netbook
  • Prozessor: Atom N270
  • Skill: Anfänger
Re: Kein Update möglich - ungültige PGP Schlüssel
« Antwort #4 am: 26. Juli 2015, 14:42:37 »

sudo pacman -Syyu
Linu74
[/quote]

Leider nein

Offline suska

  • Sr. Mitglied
  • ****
  • Beiträge: 373
  • Dankeschön: 31 mal
  • Desktop: openbox
  • Grafikkarte: Intel
  • Grafikkartentreiber: free
  • Kernel: 4.9
  • Prozessor: i5
  • Skill: Durchschnitt
  • Zweig: #
Re: Kein Update möglich - ungültige PGP Schlüssel
« Antwort #5 am: 26. Juli 2015, 14:46:56 »
Leider kommt folgende Fehlermeldung:

[heinz@ideapad ~]$ sudo pacman-mirrorslist -g -c Germany
sudo: pacman-mirrorslist: command not found

Da hat sich ein Fehler eingeschlichen, das "list"  muss da weg. Also

sudo pacman-mirrors -g -c Germany
.:. Artix Linux .:. FreeBSD .:. Salix OS .:.
Folgende Mitglieder bedankten sich: kochstudio

Offline kochstudio

  • Neuling
  • *
  • Beiträge: 36
  • Desktop: Xfce netbook
  • Grafikkartentreiber: free
  • Kernel: 4.4.25-1-netbook
  • Prozessor: Atom N270
  • Skill: Anfänger
Re: Kein Update möglich - ungültige PGP Schlüssel
« Antwort #6 am: 26. Juli 2015, 15:07:46 »
Da hat sich ein Fehler eingeschlichen, das "list"  muss da weg. Also

sudo pacman-mirrors -g -c Germany

Das war es, danke.

Offline klesk

  • Held Mitglied
  • *****
  • Beiträge: 1194
  • Dankeschön: 142 mal
  • Desktop: herbstluftwm
  • Grafikkartentreiber: nvidia 3.40xx
  • Kernel: 4.2
  • Prozessor: Intel Core2 Quad Q9550 (-MCP-)
  • Skill: Durchschnitt
  • Zweig: unstable
Re: Kein Update möglich - ungültige PGP Schlüssel
« Antwort #7 am: 26. Juli 2015, 19:39:33 »
Danke das Suska meinen Fehler berichtigt hat, hab es geändert.